Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ec.cgp
Class MuLambdaBreederCGP

    java.lang.Object
      ec.Breeder
          ec.es.MuCommaLambdaBreeder
              ec.es.MuPlusLambdaBreeder
                  ec.cgp.MuLambdaBreederCGP

All Implemented Interfaces:
  ec.Setup, ec.Singleton, java.io.Serializable

    public class MuLambdaBreederCGP

extends ec.es.MuPlusLambdaBreeder

The CGP implementation requires this slightly modified MuPlusLambdaBreeder when using Evolutionary Strategies. Its sole purpose is to reset string representations of the expressions represented by all genomes in the population. Resetting forces re-computation of each expression during evaluation of CGP nodes, but only for the first such evaluation.

Author:
  David Oranchak, doranchak@gmail.com, http://oranchak.com
See Also:
  Serialized Form

Field Summary

Fields inherited from class ec.es.MuCommaLambdaBreeder
`C_EXACTLY_ONE_FIFTH_BETTER, C_OVER_ONE_FIFTH_BETTER, C_UNDER_ONE_FIFTH_BETTER, comparison, count, lambda, mu, P_LAMBDA, P_MU, parentPopulation`

Constructor Summary
`MuLambdaBreederCGP()`

Method Summary
`ec.Population` | `breedPopulation(ec.EvolutionState state)` Breeds state.population, returning a new population.

Methods inherited from class ec.es.MuPlusLambdaBreeder
`postProcess, setToMuPlusLambda`

Methods inherited from class ec.es.MuCommaLambdaBreeder
`breedPopChunk, setToLambda, setup`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MuLambdaBreederCGP

    public MuLambdaBreederCGP()

Method Detail

### breedPopulation

    public ec.Population breedPopulation(ec.EvolutionState state)

  Description copied from class: `ec.Breeder`
  Breeds state.population, returning a new population. In general, state.population should not be modified.

  Overrides:
    `breedPopulation` in class `ec.es.MuCommaLambdaBreeder`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD